Skip to content

updateGauge

WRITE

Update gauge.

POST /api/v1/quality/updateGauge
curl -X POST '<your-host>/api/v1/quality/updateGauge' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Pending""In-Calibration""Out-of-Calibration"
"Master""Standard"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "gaugeId": {
      "type": "string"
    },
    "gaugeTypeId": {
      "type": "string"
    },
    "gaugeRole": {
      "type": "string",
      "enum": [
        "Master",
        "Standard"
      ]
    },
    "gaugeCalibrationStatus": {
      "type": "string",
      "enum": [
        "Pending",
        "In-Calibration",
        "Out-of-Calibration"
      ]
    },
    "supplierId": {
      "type": [
        "string",
        "null"
      ]
    },
    "modelNumber": {
      "type": [
        "string",
        "null"
      ]
    },
    "serialNumber": {
      "type": [
        "string",
        "null"
      ]
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "dateAcquired": {
      "type": [
        "string",
        "null"
      ]
    },
    "lastCalibrationDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "nextCalibrationDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "locationId": {
      "type": [
        "string",
        "null"
      ]
    },
    "storageUnitId": {
      "type": [
        "string",
        "null"
      ]
    },
    "calibrationIntervalInMonths": {
      "type": "number"
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}